Package org.apache.tools.ant.util.depend.bcel

# Class FullAnalyzer

java.lang.Object
org.apache.tools.ant.util.depend.AbstractAnalyzer
org.apache.tools.ant.util.depend.bcel.FullAnalyzer

All Implemented Interfaces:
  `DependencyAnalyzer`

    public class FullAnalyzer
    extends AbstractAnalyzer

An analyzer capable fo traversing all class - class relationships.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.util.depend.AbstractAnalyzer

  `MAX_LOOPS`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FullAnalyzer()` | Default constructor Causes the BCEL classes to load to ensure BCEL dependencies can be satisfied

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `determineDependencies​(java.util.Vector<java.io.File> files, java.util.Vector<java.lang.String> classes)` | Determine the dependencies of the configured root classes.
  `protected boolean` | `supportsFileDependencies()` | Indicate if this analyzer can determine dependent files.

  ### Methods inherited from class org.apache.tools.ant.util.depend.AbstractAnalyzer

  `addClassPath, addRootClass, addSourcePath, config, getClassContainer, getClassDependencies, getFileDependencies, getRootClasses, getSourceContainer, isClosureRequired, reset, setClosure`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FullAnalyzer

    public FullAnalyzer()
    Default constructor Causes the BCEL classes to load to ensure BCEL dependencies can be satisfied

- ## Method Details

  - ### determineDependencies

    protected void determineDependencies​(java.util.Vector<java.io.File> files, java.util.Vector<java.lang.String> classes)
    Determine the dependencies of the configured root classes.
    Specified by:
      `determineDependencies` in class `AbstractAnalyzer`
    Parameters:
      `files` - a vector to be populated with the files which contain the dependency classes
      `classes` - a vector to be populated with the names of the dependency classes.

  - ### supportsFileDependencies

    protected boolean supportsFileDependencies()
    Indicate if this analyzer can determine dependent files.
    Specified by:
      `supportsFileDependencies` in class `AbstractAnalyzer`
    Returns:
      true if the analyzer provides dependency file information.